#ifdef GL_ES
	precision highp float;
#endif


/// <summary>
/// Uniform variables.
/// <summary>
uniform vec2 ImageSize;
uniform vec2 TexelSize;
uniform float Time;
uniform bool IsMouseDown;
uniform vec2 MousePos;
								// Pass 1: Input = None, Output = FBO Sample0
uniform sampler2D Sample0;		// Pass 2: Output = FBO Sample1
uniform sampler2D Sample1;		// Pass 3: Output = FBO Sample2
//uniform sampler2D Sample2;	// Pass 4: Output = FBO Sample3
//uniform sampler2D Sample3;	// Pass 5: Output = FBO Sample4
//uniform sampler2D Sample4;	// Pass 6: Output = FBO Sample5
//uniform sampler2D Sample5;	// Pass 7: Output = FBO Sample6...


/// <summary>
/// Varying variables.
/// <summary>
varying vec2 vUv;


vec3 mars(vec2 pos)
{
	float y = fract(pos.y*4.0);
	if (pos.y<0.25)
		return mix(vec3(0.25,0.28,0.1),vec3(0.9,0.2,0.0),y);
	if (pos.y<0.5)
		return mix(vec3(0.9,0.2,0.0),vec3(0.4,0.8,0.9),y);
	if (pos.y<0.75)
		return mix(vec3(0.4,0.8,0.9),vec3(0.8,0.7,0.5),y);
	return 	mix(vec3(0.8,0.7,0.5),vec3(0.9,0.6,0.5),y);
}


/// <summary>
/// Fragment shader entry.
/// <summary>
void main ()
{
	gl_FragColor=vec4(mars(vUv),1.0);

}